# Uses of Interface io.dapr.workflows.WorkflowContext (dapr-sdk-parent 1.12.2 API)
use: package: io.dapr.workflows, interface: WorkflowContext

# Uses of Interface
io.dapr.workflows.WorkflowContext

Packages that use WorkflowContext
Package
Description
io.dapr.workflows
io.dapr.workflows.saga

## Uses of WorkflowContext in io.dapr.workflows

Classes in io.dapr.workflows that implement WorkflowContext
Modifier and Type
Class
Description
`class`
`DaprWorkflowContextImpl`
Methods in io.dapr.workflows with parameters of type WorkflowContext
Modifier and Type
Method
Description
`void`
Workflow.`run(WorkflowContext ctx)`
Executes the workflow logic.
`void`
WorkflowStub.`run(WorkflowContext ctx)`

## Uses of WorkflowContext in io.dapr.workflows.saga

Methods in io.dapr.workflows.saga with parameters of type WorkflowContext
Modifier and Type
Method
Description
`void`
Saga.`compensate(WorkflowContext ctx)`
Compensate all registered activities.
Constructors in io.dapr.workflows.saga with parameters of type WorkflowContext
Modifier
Constructor
Description
``
`DaprSagaContextImpl(Saga saga, WorkflowContext workflowContext)`
Constructor to build up instance.